<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- reference.qdoc -->
  <title>List of Modules | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td><td >List of Modules</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
<p class="naviNextPrevious headerNavi">
</p><p/>
<div class="sidebar"><div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">List of Modules</h1>
<span class="subtitle"></span>
<!-- $$$QbsModules-description -->
<div class="descr"> <a name="details"></a>
<p>These are the modules shipped with Qbs.</p>
<p>For a list of Qbs modules that provide support for Qt modules, see <a href="qt-modules.html">Qt Modules</a>. Only the Qt modules that have properties and relevant file tags are described in separate topics.</p>
</div>
<!-- @@@QbsModules -->
<div class="table"><table class="annotated">
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-qbsmodules-android-ndk.html">Android.ndk</a></p></td><td class="tblDescr"><p>Provides support for building native Android libraries</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-qbsmodules-android-sdk.html">Android.sdk</a></p></td><td class="tblDescr"><p>Provides support for building Android packages</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-qbsmodules-exporter-pkgconfig.html">Exporter.pkgconfig</a></p></td><td class="tblDescr"><p>Provides support for generating pkg-config files</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-qbsmodules-exporter-qbs.html">Exporter.qbs</a></p></td><td class="tblDescr"><p>Provides support for generating Qbs modules from products</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-qbsmodules-qt-android-support.html">Qt.android_support</a></p></td><td class="tblDescr"><p>Provides Qt support for the Android platform</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-qbsmodules-qt-core.html">Qt.core</a></p></td><td class="tblDescr"><p>Provides Qt Core support</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-qbsmodules-qt-dbus.html">Qt.dbus</a></p></td><td class="tblDescr"><p>Provides Qt D-Bus support</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-qbsmodules-qt-declarative.html">Qt.declarative</a></p></td><td class="tblDescr"><p>Provides Qt Quick 1 support</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-qbsmodules-qt-gui.html">Qt.gui</a></p></td><td class="tblDescr"><p>Provides Qt GUI support</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-qbsmodules-qt-plugin-support.html">Qt.plugin_support</a></p></td><td class="tblDescr"><p>Allows to fine-tune which Qt plugins get pulled in</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-qbsmodules-qt-qml.html">Qt.qml</a></p></td><td class="tblDescr"><p>Provides Qt QML support</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-qbsmodules-qt-quick.html">Qt.quick</a></p></td><td class="tblDescr"><p>Provides Qt Quick 2 support</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-qbsmodules-qt-scxml.html">Qt.scxml</a></p></td><td class="tblDescr"><p>Provides Qt SCXML support</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-qbsmodules-archiver.html">archiver</a></p></td><td class="tblDescr"><p>Provides support for building archives</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-qbsmodules-autotest.html">autotest</a></p></td><td class="tblDescr"><p>Allows to fine-tune autotest execution</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-qbsmodules-bundle.html">bundle</a></p></td><td class="tblDescr"><p>Provides Core Foundation bundle support</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-qbsmodules-cpp.html">cpp</a></p></td><td class="tblDescr"><p>Provides C/C++ support</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-qbsmodules-cpufeatures.html">cpufeatures</a></p></td><td class="tblDescr"><p>Provides support for fine-tuning CPU features</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-qbsmodules-dmg.html">dmg</a></p></td><td class="tblDescr"><p>Provides support for building Apple Disk Images</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-qbsmodules-ib.html">ib</a></p></td><td class="tblDescr"><p>Provides support for Apple Interface Builder and related tools and file types</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-qbsmodules-ico.html">ico</a></p></td><td class="tblDescr"><p>Provides support for building ICO (.ico) and CUR (.cur) files</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-qbsmodules-innosetup.html">innosetup</a></p></td><td class="tblDescr"><p>Provides Inno Setup support</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-qbsmodules-java.html">java</a></p></td><td class="tblDescr"><p>Provides Java support</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-qbsmodules-lex-yacc.html">lex_yacc</a></p></td><td class="tblDescr"><p>Provides support for the lex and yacc tools</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-qbsmodules-nodejs.html">nodejs</a></p></td><td class="tblDescr"><p>Provides Node.js support</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-qbsmodules-nsis.html">nsis</a></p></td><td class="tblDescr"><p>Provides Nullsoft Scriptable Install System support</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-qbsmodules-pkgconfig.html">pkgconfig</a></p></td><td class="tblDescr"><p>Allows to configure the pkg-config tool</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-qbsmodules-protobuf-cpp.html">protobuf.cpp</a></p></td><td class="tblDescr"><p>Provides support for protocol buffers for the C++ language</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-qbsmodules-protobuf-objc.html">protobuf.objc</a></p></td><td class="tblDescr"><p>Provides support for protocol buffers for the Objective-C language</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-qbsmodules-qbs.html">qbs</a></p></td><td class="tblDescr"><p>Comprises general properties</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-qbsmodules-qnx.html">qnx</a></p></td><td class="tblDescr"><p>Provides support for building QNX applications using the QNX SDK</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-qbsmodules-texttemplate.html">texttemplate</a></p></td><td class="tblDescr"><p>Provides support for text template files</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-qbsmodules-typescript.html">typescript</a></p></td><td class="tblDescr"><p>Provides TypeScript support</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-qbsmodules-vcs.html">vcs</a></p></td><td class="tblDescr"><p>Provides support for version control systems</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-qbsmodules-wix.html">wix</a></p></td><td class="tblDescr"><p>Provides Windows Installer XML Toolset support</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-qbsmodules-xcode.html">xcode</a></p></td><td class="tblDescr"><p>Provides Xcode support</p></td></tr>
</table></div>
<p class="naviNextPrevious footerNavi">
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
